(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright (c) 2013-2014 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: components.ml,v 1.5 2014/05/06 12:56:20 fclement Exp $ *)

module Htuple = Uhomogeneous_tuple;;

open Components_spec;;

let single = (module Htuple.Single : COMPONENTS);;
let double = (module Htuple.Single : COMPONENTS);;
let triple = (module Htuple.Triple : COMPONENTS);;

let vector_of_nat dim =
  let module Dim = struct let get_dim () = dim;; end in
  let module V = Uvector.Make (Dim) in
  (module Htuple.Vector (V) : COMPONENTS)
;;
