CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                                     C
C                            Pio (Fortran)                            C
C                                                                     C
C                    Polyglot Input/Output Library                    C
C                                                                     C
C               EPI Pomdapi, INRIA Paris - Rocquencourt               C
C                                                                     C
C  Copyright 2005-2014 INRIA.                                         C
C  Institut National de Recherche en Informatique et en Automatique.  C
C  All rights reserved. This file is distributed only by permission.  C
C                                                                     C
C  Francois Clement <Francois.Clement@inria.fr>                       C
C  Pierre Weis <Pierre.Weis@inria.fr>                                 C
C  Hend Ben Ameur <hbenameur@yahoo.ca>                                C
C                                                                     C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

C     $Id: pio_user_main.fpp,v 1.5 2014/03/14 14:42:09 fclement Exp $

#include "pio_user_constants.h"

      subroutine pio_user_parse_config_file
C     Parse the configuration file.
      
      implicit none
      
      include 'pio_user_error_definition.fh'
      
C     Local variables.
      character sbr*26, options_fname*10
      integer s_len, of_len
      logical pio_user_debug, pio_user_report
      logical pio_debug, pio_report
      logical pio_communications_are_binary
      
      s_len = 26
      sbr = 'pio_user_parse_config_file'
      
      of_len = 10
      options_fname = 'pio_config'
      
      open(unit=PIO_USER_IOUNIT, file=options_fname, status='old',
     +     access='sequential', form='formatted', iostat=ier)
      if (ier .ne. 0) then
         call pio_user_error_open_failure
     +        (s_len, sbr, of_len, options_fname)
         return
      endif
      
      call pio_user_unset_report_mode
      call pio_unset_report_mode
      
      read(PIO_USER_IOUNIT, *) pio_user_debug
      if (pio_user_debug) call pio_user_set_debug_mode
      
      read(PIO_USER_IOUNIT, *) pio_user_report
      if (pio_user_report) call pio_user_set_report_mode
      
      read(PIO_USER_IOUNIT, *) pio_debug
      if (pio_debug) call pio_set_debug_mode
      
      read(PIO_USER_IOUNIT, *) pio_report
      if (pio_report) call pio_set_report_mode
      
      read(PIO_USER_IOUNIT, *) pio_communications_are_binary
      if (pio_communications_are_binary) then
         call pio_set_binary_communication_mode
      else
         call pio_set_ascii_communication_mode
      endif
      
      close(PIO_USER_IOUNIT)
      
      return
      end


      subroutine pio_user_check_number_of_values
     +     (s_len, sbr, exp_nargs, nargs)
      
      implicit none
      
      include 'pio_user_error_definition.fh'
      
C     Input arguments.
      character sbr*(*)
      integer s_len, exp_nargs, nargs
      
      if (nargs .ne. exp_nargs) then
         call pio_user_error_wrong_number_of_values
     +        (s_len, sbr, exp_nargs, nargs)
      endif
      
      return
      end
