CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                                     C
C                              Ref-indic                              C
C                                                                     C
C                        Refinement indicators                        C
C                                                                     C
C               EPI Pomdapi, INRIA Paris - Rocquencourt               C
C                                                                     C
C  Copyright (c) 2013-2014 INRIA.                                     C
C  Institut National de Recherche en Informatique et en Automatique.  C
C  All rights reserved. This file is distributed only by permission.  C
C                                                                     C
C  Hend Ben Ameur <hbenameur@yahoo.ca>                                C
C  Francois Clement <Francois.Clement@inria.fr>                       C
C  Pierre Weis <Pierre.Weis@inria.fr>                                 C
C                                                                     C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

C     $Id: gradient22.f,v 1.6 2014/05/12 14:43:23 fclement Exp $

      subroutine gradient22 (n1,ndS,ndT,S,T,gdS,gdT)
c     
      implicit integer (z)
      implicit real*8 (t,f,d)
c     
      include 'common.fh'
c     
      integer n1,ndS,ndT
      dimension S(ndS), T(ndT), gdS(ndS), gdT(ndT)
      real*8 S, T
      real*8 gdS, gdT
      integer i,j,n
      integer ii,irr
c     
      n = 2*n1
      do   i   =   1   ,   nszz   ,   1
         ssmbz(i) = -gdu(i,n)
      enddo
      do   j   =   1   ,   ny   ,   1
         do   i   =   (j-1)*nx+1   ,   (j-1)*nx+nx-1   ,   1
            ssmbz(i) = -smbz(i,1)-smbz(i,2)-smbz(i,3)+ssmbz(i)
         enddo
c     .....................
         i = j*nx
         ssmbz(i) = -smbz(i,1)-smbz(i,2)-smbz(i,3)+ssmbz(i)
      enddo
c     *********************************************************
c     le schema est explicite
c     *********************************************************
      do   i   =   1   ,   j*nx   ,   1
         vvzz(i) = 0
      enddo
c     *********************************************************
      do   j   =   1   ,   ny   ,   1
         do   i   =   (j-1)*nx+1   ,   (j-1)*nx+nx-1   ,   1
            vvzz(i) = -ssmbz(i)-vvzz(i)
         enddo
c     .....................
         i = j*nx
         vvzz(i) = -ssmbz(i)-vvzz(i)
      enddo
c     *********************************************************
      do   i   =   1   ,   nszz   ,   1
         smbz(i,1) = smbz(i,4)
         smbz(i,2) = smbz(i,5)
         smbz(i,3) = 0
      enddo
c     *********************************************************
      do   j   =   1   ,   ny   ,   1
         do   i   =   (j-1)*nx+1   ,   (j-1)*nx+nx-1   ,   1
            ii = nx*ny+nx+i
            t2 = falphak(i)
            t3 = fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)
            smbz(ii,3) = smbz(ii,3)
     &           +theta*falphaa(i,1)*t3*vvzz(i)/t2
            ii = nx*ny+nx+i+1
            smbz(ii,3) = smbz(ii,3)
     &           +theta*falphaa(i,2)*t3*vvzz(i)/t2
            ii = i+nx
            smbz(ii,3) = smbz(ii,3)
     &           +theta*falphaa(i,4)*t3*vvzz(i)/t2
            ii = i
            smbz(ii,3) = smbz(ii,3)
     &           +theta*falphaa(i,3)*t3*vvzz(i)/t2
         enddo
c     .....................
         i = j*nx
         ii = nx*ny+nx+i
         t2 = falphak(i)
         t3 = fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)
         smbz(ii,3) = smbz(ii,3)
     &        +theta*falphaa(i,1)*t3*vvzz(i)/t2
         ii = i+nx
         smbz(ii,3) = smbz(ii,3)
     &        +theta*falphaa(i,4)*t3*vvzz(i)/t2
         ii = i
         smbz(ii,3) = smbz(ii,3)
     &        +theta*falphaa(i,3)*t3*vvzz(i)/t2
      enddo
c     *********************************************************
      do   i   =   1   ,   nszz   ,   1
         smbz(i,4) = smbz(i,6)
         smbz(i,5) = 0
      enddo
c     *********************************************************
      do   j   =   1   ,   ny   ,   1
         do   i   =   (j-1)*nx+1   ,   (j-1)*nx+nx-1   ,   1
            ii = i
            smbz(ii,5) = smbz(ii,5)
     &           +fgamma(ndS,S,ndT,T,i,dt,dx,dy,theta)*vvzz(i)
         enddo
c     .....................
         i = j*nx
         ii = i
         smbz(ii,5) = smbz(ii,5)
     &        +fgamma(ndS,S,ndT,T,i,dt,dx,dy,theta)*vvzz(i)
      enddo
c     *********************************************************
      do   i   =   1   ,   nszz   ,   1
         smbz(i,6) = 0
      enddo
c     *********************************************************
      do   j   =   1   ,   ny   ,   1
         do   i   =   (j-1)*nx+1   ,   (j-1)*nx+nx-1   ,   1
            ii = nx*ny+nx+i+1
            t2 = falphak(i)
            t3 = fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)
            smbz(ii,6) = smbz(ii,6)
     &           +sigma*falphaa(i,2)*t3*vvzz(i)/t2
            ii = nx*ny+nx+i
            smbz(ii,6) = smbz(ii,6)
     &           +sigma*falphaa(i,1)*t3*vvzz(i)/t2
            ii = i+nx
            smbz(ii,6) = smbz(ii,6)
     &           +sigma*falphaa(i,4)*t3*vvzz(i)/t2
            ii = i
            smbz(ii,6) = smbz(ii,6)
     &           +sigma*falphaa(i,3)*t3*vvzz(i)/t2
         enddo
c     .....................
         i = j*nx
         ii = nx*ny+nx+i
         t2 = falphak(i)
         t3 = fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)
         smbz(ii,6) = smbz(ii,6)
     &        +sigma*falphaa(i,1)*t3*vvzz(i)/t2
         ii = i+nx
         smbz(ii,6) = smbz(ii,6)
     &        +sigma*falphaa(i,4)*t3*vvzz(i)/t2
         ii = i
         smbz(ii,6) = smbz(ii,6)
     &        +sigma*falphaa(i,3)*t3*vvzz(i)/t2
      enddo
c     *********************************************************
      do   j   =   1   ,   ny   ,   1
         do   i   =   (j-1)*nx+1   ,   (j-1)*nx+nx-1   ,   1
            t1 = vvzz(i)
            t6 = fT(ndT,T,i)
            t8 = falphak(i)
            t15 = t6*sigma
            t21 = t6*theta
            do   irr   =   1   ,   ndS   ,   1
               t12 = t1*dSfbeta(ndS,S,ndT,T,i,dt,dx,dy,theta,irr)
               t14 = t12*falphaa(i,4)
               t27 = t12*falphaa(i,3)
               t35 = t12*falphaa(i,1)
               t46 = t12*falphaa(i,2)
               t64 = 
     &              t1*dSfgamma(ndS,S,ndT,T,i,dt,dx,dy,theta,irr)
     &              *u(i,n-2)*t6*t8
     &              +t14*t15*u(i+nx,n-3)+t14*t21*u(i+nx,n-1)
     &              +t27*t15*u(i,n-3)+t27*t21*u(i,n-1)
     &              +t35*t15*u(nx*(ny+1)+i,n-3)
     &              +t35*t21*u(nx*(ny+1)+i,n-1)
     &              +t46*t15*u(nx*(ny+1)+i+1,n-3)
     &              +t46*t21*u(nx*(ny+1)+i+1,n-1)
     &              +t12*sigma*q(i,n1-1)+t12*theta*q(i,n1)
     &              +gdS(irr)*t6*t8
               gdS(irr) = t64/t6/t8
            enddo
         enddo
         do   i   =   (j-1)*nx+1   ,   (j-1)*nx+nx-1   ,   1
            t1 = vvzz(i)
            t6 = fT(ndT,T,i)
            t7 = t6**2
            t9 = falphak(i)
            t15 = falphaa(i,4)
            t27 = falphaa(i,3)
            t36 = falphaa(i,1)
            t48 = falphaa(i,2)
            t60 = q(i,n1-1)
            t64 = q(i,n1)
            t68 = t1*fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)
            do   irr   =   1   ,   ndT   ,   1
               t13 = t1*dTfbeta(ndS,S,ndT,T,i,dt,dx,dy,theta,irr)
               t14 = t13*t7
               t69 = dfT(ndT,T,i,irr)
               t79 = 
     &              t1*dTfgamma(ndS,S,ndT,T,i,dt,dx,dy,theta,irr)
     &              *u(i,n-2)*t7*t9
     &              +t14*t15*sigma*u(i+nx,n-3)
     &              +t14*t15*theta*u(i+nx,n-1)
     &              +t14*t27*sigma*u(i,n-3)+t14*t27*theta*u(i,n-1)
     &              +t14*t36*sigma*u(nx*(ny+1)+i,n-3)
     &              +t14*t36*theta*u(nx*(ny+1)+i,n-1)
     &              +t14*t48*sigma*u(nx*(ny+1)+i+1,n-3)
     &              +t14*t48*theta*u(nx*(ny+1)+i+1,n-1)
     &              +t13*t6*sigma*t60+t13*t6*theta*t64
     &              -t68*t69*sigma*t60-t68*t69*theta*t64
     &              +gdT(irr)*t7*t9
               gdT(irr) = t79/t7/t9
            enddo
         enddo
c     .....................
         i = j*nx
         t1 = vvzz(i)
         t6 = fT(ndT,T,i)
         t8 = falphak(i)
         t15 = t6*sigma
         t21 = t6*theta
         do   irr   =   1   ,   ndS   ,   1
            t12 = t1*dSfbeta(ndS,S,ndT,T,i,dt,dx,dy,theta,irr)
            t14 = t12*falphaa(i,4)
            t27 = t12*falphaa(i,3)
            t35 = t12*falphaa(i,1)
            gdS(irr) = (
     &           t1*dSfgamma(ndS,S,ndT,T,i,dt,dx,dy,theta,irr)
     &           *u(i,n-2)*t6*t8
     &           +t14*t15*u(i+nx,n-3)+t14*t21*u(i+nx,n-1)
     &           +t27*t15*u(i,n-3)+t27*t21*u(i,n-1)
     &           +t35*t15*u(nx*(ny+1)+i,n-3)+t35*t21*u(nx*(ny+1)+i,n-1)
     &           +t12*sigma*q(i,n1-1)+t12*theta*q(i,n1)
     &           +gdS(irr)*t6*t8)/t6/t8
         enddo
         i = j*nx
         t1 = vvzz(i)
         t6 = fT(ndT,T,i)
         t7 = t6**2
         t9 = falphak(i)
         t15 = falphaa(i,4)
         t27 = falphaa(i,3)
         t36 = falphaa(i,1)
         t50 = q(i,n1-1)
         t54 = q(i,n1)
         t58 = t1*fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)
         do   irr   =   1   ,   ndT   ,   1
            t13 = t1*dTfbeta(ndS,S,ndT,T,i,dt,dx,dy,theta,irr)
            t14 = t13*t7
            t59 = dfT(ndT,T,i,irr)
            t69 = 
     &           t1*dTfgamma(ndS,S,ndT,T,i,dt,dx,dy,theta,irr)
     &           *u(i,n-2)*t7*t9
     &           +t14*t15*sigma*u(i+nx,n-3)
     &           +t14*t15*theta*u(i+nx,n-1)
     &           +t14*t27*sigma*u(i,n-3)
     &           +t14*t27*theta*u(i,n-1)
     &           +t14*t36*sigma*u(nx*(ny+1)+i,n-3)
     &           +t14*t36*theta*u(nx*(ny+1)+i,n-1)
     &           +t13*t6*sigma*t50+t13*t6*theta*t54
     &           -t58*t59*sigma*t50-t58*t59*theta*t54
     &           +gdT(irr)*t7*t9
            gdT(irr) = t69/t7/t9
         enddo
      enddo
      return
      end
