CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                                     C
C                              Ref-indic                              C
C                                                                     C
C                        Refinement indicators                        C
C                                                                     C
C               EPI Pomdapi, INRIA Paris - Rocquencourt               C
C                                                                     C
C  Copyright (c) 2013-2014 INRIA.                                     C
C  Institut National de Recherche en Informatique et en Automatique.  C
C  All rights reserved. This file is distributed only by permission.  C
C                                                                     C
C  Hend Ben Ameur <hbenameur@yahoo.ca>                                C
C  Francois Clement <Francois.Clement@inria.fr>                       C
C  Pierre Weis <Pierre.Weis@inria.fr>                                 C
C                                                                     C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

C     $Id: measure.f,v 1.7 2014/05/14 10:53:11 fclement Exp $

      subroutine measure(ndS, S, ier, emsg_length, error_msg)
      
      implicit none
      
      integer ERROR_UNIT
      parameter(ERROR_UNIT=0)
      integer TRANSMISSIVITY_DATA_UNIT
      parameter(TRANSMISSIVITY_DATA_UNIT=14)
      integer MEASURES_DATA_UNIT
      parameter(MEASURES_DATA_UNIT=15)
      integer OUTPUT_UNIT
      parameter(OUTPUT_UNIT=18)
      
      include 'common.fh'
      
C     Input arguments.
      integer ndS
      real*8 S(ndS)
      
C     Output arguments.
      character*80 error_msg
      integer ier, emsg_length
      
C     Local variables.
      integer i, n, n1
      integer ncells, ncells1, ndT
      real*8 T(np_max), junk
      
      ncells = ndS
      
C     Get the transmissivity.
      open(TRANSMISSIVITY_DATA_UNIT,
     +     file='transmissivity_data', status='old',
     +     access='sequential', form='formatted', iostat=ier)
      if (ier .ne. 0) then
         emsg_length = 51
         error_msg =
     +        'Unable to open file "transmissivity_data" for read.'
         return
      endif
      
      read(TRANSMISSIVITY_DATA_UNIT, *) ncells1
      if (ncells1 .ne. ncells) then
         write(ERROR_UNIT, *) 'wrong size transmissivity'
         call exit(1)
      endif
      
      ndT = ncells
      write(OUTPUT_UNIT, *) 'ndT = ', ndT
      do i = 1, ncells
         read(TRANSMISSIVITY_DATA_UNIT, *) T(i)
         write(OUTPUT_UNIT, *) 'T(', i, ') = ', T(i)
      enddo
      
      close(TRANSMISSIVITY_DATA_UNIT)
      
C     Simulation.
c     simu ici permet de calculer les mesures, cout n'a pas de sens.
      call simu(ndS, ndT, S, T, junk)
      
C     Set the measures.
      open(MEASURES_DATA_UNIT,
     +     file='synth_measures', status='unknown',
     +     access='sequential', form='formatted', iostat=ier)
      if (ier .ne. 0) then
         emsg_length = 47
         error_msg =
     +        'Unable to open file "synth_measures" for write.'
         return
      endif
      
      write(MEASURES_DATA_UNIT, '(i6)') nt
      write(MEASURES_DATA_UNIT,'(i6)') ncells
      do n = 1,nt
         n1 = 2*n
         do i = 1, ncells
            write(MEASURES_DATA_UNIT, '(e12.5)') u(i, n1)
         enddo
      enddo
      
      return
      end
